using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Lufthavn
{
    public partial class Form1 : Form
    {
        Buffer buf;
        Producer producer1;
        Consumer consumer1;
        Consumer consumer2;
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            buf = new Buffer(10);
            producer1 = new Producer(buf);
            consumer1 = new Consumer(buf,"c1",this,this.skriv);
            consumer2 = new Consumer(buf, "c2", this, this.skriv);
        }


        private void skrivInvoked(string txt)
        {
            textBox1.Text += txt + "\r\n";
        }

        public void skriv(string txt)
        {
            // metode der krer i en anden trd m ikke direkte
            // tilg en forms data, da de ikke monitorede
            this.Invoke(new ConsumerWrite(this.skrivInvoked),txt);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            producer1.Stop();
            consumer1.Stop();
            consumer2.Stop();

        }

    }
}