using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace Lufthavn
{
    class Producer
    {
        private Buffer buf;
        private Thread trd;
        private volatile bool active = true;

        public Producer(Buffer buf)
        {
            this.buf = buf;
            this.trd = new Thread(run);
            trd.Start();
        }
        private void run()
        {
            Random rand = new Random();
            while (active)
            {
                try {
                    int tal = rand.Next(0, 99);
                    System.Console.WriteLine("Produced {0}", tal);
                    buf.add(tal);
                    Thread.Sleep(rand.Next(1, 100));
                }
                catch { };
            }

        }
        public void Stop()
        {
            active = false;
            this.trd.Interrupt();
        }

    }
}
